<?php
$this->load->view('templates/headers/pm_index_header', $title);
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line("messages_title"); ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Users"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>user/profile/<?php echo $this->session->userdata("user_id"); ?>"><?php echo $this->session->userdata("user_username") ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line("messages_title"); ?></strong>
            </li>
        </ol>
    </div>
</div>
<div class="col-lg-12 block_form">
	<?php
	if($settings["ads_code"] != ""):
	?>
	<div class="ad_block">
		<?php echo $settings["ads_code"]; ?>
	</div>
	<?php
	endif;
	?>
    <div class="ibox-content-no-bg">
    	<div class="alert alert-danger alert-centered">
	    	<?php echo $this->lang->line("no_pm_for_the_moment"); ?>
    	</div>
    </div>
</div>
<?php
$this->load->view('templates/footers/pm_index_footer');
?>