<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $title ?></title>
    <meta name="description" content="<?php echo $settings["site_description"]; ?>">
    <meta name="keywords" content="<?php echo $settings["site_tags"]; ?>">

	<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
    <link href="<?php echo base_url(); ?>css/site/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/font-awesome.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/site/animate.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/site/nailthumb.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/site/plugins/codemirror/codemirror.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/site/plugins/codemirror/ambiance.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>css/site/style.css" rel="stylesheet">

</head>

<body class="fixed-sidebar no-skin-config boxed-layout skinweb">

    <div id="wrapper">

    <nav class="navbar-default navbar-static-side" role="navigation">
        <div class="sidebar-collapse">
            <ul class="nav" id="side-menu">
                <li class="nav-header">
                    <div class="dropdown profile-element"> 
	                    <span>
                            <a href="<?php echo base_url(); ?>user/profile/<?php echo $this->session->userdata("user_id") ?>"><img alt="image" class="img-circle avatar_left" src="<?php echo $this->session->userdata("user_avatar"); ?>" /></a>
                        </span>
						<a href="<?php echo base_url(); ?>">
                        	<span class="clear"> <span class="block m-t-xs"> <strong class="font-bold"><a href="<?php echo base_url(); ?>user/profile/<?php echo $this->session->userdata("user_id") ?>"><?php echo $this->session->userdata("user_username"); ?></a></strong></span>
                        </a>
                    </div>
                    <div class="logo-element">
                        <?php echo $settings["site_name"]; ?>
                    </div>
                </li>
                <li>
                    <a href="<?php echo base_url(); ?>"><i class="fa fa-th-large"></i> <span class="nav-label"><?php echo $this->lang->line("m_home"); ?></span></a>
                </li>
                <li>
                    <a href="<?php echo base_url() ?>pm"><i class="fa fa-envelope"></i> <span class="nav-label"><?php echo $this->lang->line("m_messages"); ?> </span><?php if($nb_pm >0): ?><span class="label label-warning pull-right"><?php echo $nb_pm; ?></span><?php endif; ?></a>
                </li>
                <li>
                    <a href="<?php echo base_url() ?>user/friends"><i class="fa fa-users"></i> <span class="nav-label"><?php echo $this->lang->line("m_friends"); ?></span><?php if(($nb_new_friends+$nb_new_requests) >0): ?><span class="label label-warning pull-right"><?php echo $nb_new_friends+$nb_new_requests; ?></span><?php endif; ?></a>
                </li>
                <li>
                    <a href="<?php echo base_url() ?>user/loves"><i class="fa fa-heart"></i> <span class="nav-label"><?php echo $this->lang->line("m_loves"); ?></span><?php if($nb_new_loves >0): ?><span class="label label-warning pull-right"><?php echo $nb_new_loves; ?></span><?php endif; ?></a>
                </li>
                <li>
                    <a href="<?php echo base_url() ?>user/profilevisits"><i class="fa fa-users"></i> <span class="nav-label"><?php echo $this->lang->line("m_profile_visits"); ?></span><?php if($nb_new_visits >0): ?><span class="label label-warning pull-right"><?php echo $nb_new_visits; ?></span><?php endif; ?></a>
                </li>
                <?php
				if($settings["enable_payments"] == 1):
				?>
				<li>
                    <a href="<?php echo base_url() ?>premium"><i class="fa fa-diamond"></i> <span class="nav-label"><?php echo $this->lang->line("m_premium"); ?></span></a>
                </li>
				<?php
				endif;
				?>
                <?php
	            if($settings["enable_forum"] == 1) {
		        ?>
		        <li>
                    <a href="<?php echo base_url() ?>forum"><i class="fa fa-comments"></i> <span class="nav-label"><?php echo $this->lang->line("m_forum"); ?></span></a>
                </li>
		        <?php
	            }  
	            ?>
            </ul>
            		
			<hr />
			<?php
			if($pages != null) {
			?>
			<ul class="nav" id="side-menu">
				<?php
				foreach($pages as $cpage):
				?>
				<li>
					<a href="<?php echo base_url() ?>page/<?php echo $cpage["id"]; ?>"><i class="fa fa-<?php echo $cpage["icon"]; ?>"></i> <?php echo $cpage["title"]; ?></a>
				</li>
				<?php
				endforeach;	
				?>
			</ul>
			<hr />
			<?php
			}
			?>
				
			<ul class="social_icons">
				<?php
				if($settings["fb_url"] != ""):
				?>
				<li><a class="facebook" href="<?php echo $settings["fb_url"]; ?>"><i class="fa fa-facebook-square"></i></a></li>
				<?php
				endif;
				?>
				<?php
				if($settings["twitter_url"] != ""):
				?>
				<li><a class="twitter" href="<?php echo $settings["twitter_url"]; ?>"><i class="fa fa-twitter-square"></i></a></li>
				<?php
				endif;
				?>
				<?php
				if($settings["instagram_url"] != ""):
				?>
				<li><a class="instagram" href="<?php echo $settings["instagram_url"]; ?>"><i class="fa fa-instagram"></i></a></li>
				<?php
				endif;
				?>
				<?php
				if($settings["googleplus_url"] != ""):
				?>
				<li><a class="gplus" href="<?php echo $settings["googleplus_url"]; ?>"><i class="fa fa-google-plus-square"></i></a></li>
				<?php
				endif;
				?>
			</ul>

        </div>
    </nav>

	<div id="page-wrapper" class="gray-bg clearfix">
        <div class="row border-bottom">
        	<nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
		        <div class="navbar-header">
			        <ul class="nav-toolbar">
		                <li class="dropdown"><a href="index.html#" data-toggle="dropdown"><i class="fa fa-bars" style="color:#77777f !important"></i><?php if($total_notif >0): ?><span class="badge bg-warning"><?php echo $total_notif; ?></span><?php endif; ?></a>
		                	<div class="dropdown-menu lg pull-left arrow panel panel-default arrow-top-left">
		                    	<div class="panel-heading">
		                        	<?php echo $settings["site_name"] ?> Menu
		                        </div>
		                        <div class="panel-body text-center">
		                        	<div class="row">
			                        	<div class="col-xs-6 col-sm-4"><a href="<?php echo base_url(); ?>home" class="text-danger"><span class="h2"><i class="fa fa-home"></i></span><p class="text-gray no-margn"><?php echo $this->lang->line("m_home"); ?></p></a></div>
		                                <div class="col-xs-6 col-sm-4"><a href="<?php echo base_url(); ?>pm" class="text-green"><span class="h2"><i class="fa fa-envelope-o"></i><?php if($nb_pm >0): ?><span class="badge bg-warning bg-pm"><?php echo $nb_pm; ?></span><?php endif; ?></span><p class="text-gray no-margn"><?php echo $this->lang->line("m_messages"); ?></p></a></div>
		
		                                <div class="col-xs-12 visible-xs-block"><hr style="margin-top:7px;margin-bottom: 17px;"></div>
		
		                                <div class="col-xs-6 col-sm-4"><a href="<?php echo base_url(); ?>user/friends" class="text-orange"><span class="h2"><i class="fa fa-users"></i><?php if(($nb_new_friends+$nb_new_requests) >0): ?><span class="badge bg-warning bg-snapchat"><?php echo ($nb_new_requests+$nb_new_friends); ?></span><?php endif; ?></span><p class="text-gray no-margn"><?php echo $this->lang->line("m_friends"); ?></p></a></div>
					                    <div class="col-xs-6 col-sm-4"><a href="<?php echo base_url() ?>user/loves" class="text-red"><span class="h2"><i class="fa fa-heart"></i><?php if($nb_new_loves >0): ?><span class="badge bg-warning bg-pm"><?php echo $nb_new_loves; ?></span><?php endif; ?></span><p class="text-gray"><?php echo $this->lang->line("m_loves"); ?></p></a></div>

		                                
		                                <div class="col-lg-12 col-md-12 col-sm-12  hidden-xs"><hr></div>
		
		                                
		                                <div class="col-xs-12 visible-xs-block"><hr style="margin-top:7px;margin-bottom: 9px;"></div>
		
		                                <div class="col-xs-6 col-sm-4"><a href="<?php echo base_url() ?>user/profilevisits" class="text-brown"><span class="h2"><i class="fa fa-eye"></i><?php if($nb_new_visits > 0): ?><span class="badge bg-warning bg-profilevisits"><?php echo $nb_new_visits; ?></span><?php endif; ?></span><p class="text-gray no-margn"><?php echo $this->lang->line("m_profile_visits"); ?></p></a></div>
										<?php
										if($settings["enable_payments"] == 1):
										?>
										<div class="col-xs-6 col-sm-4"><a href="<?php echo base_url() ?>premium" class="text-brown"><span class="h2"><i class="fa fa-diamond"></i></span><p class="text-gray no-margn"><?php echo $this->lang->line("m_premium"); ?></p></a></div>
										<?php
										else:	
										?>
										<div class="col-xs-6 col-sm-4"><a href="<?php echo base_url() ?>user/profile/<?php echo $this->session->userdata("user_id") ?>" class="text-brown"><span class="h2"><i class="fa fa-user"></i></span><p class="text-gray"><?php echo $this->lang->line("m_profile"); ?></p></a></div>
										<?php
										endif;	
										?>
										<?php
							            if($settings["enable_forum"] == 1):
								        ?>
										<div class="col-xs-6 col-sm-6 uploadphoto"><a href="<?php echo base_url() ?>forum" class="text-red"><p class="text-gray no-margn"><i class="fa fa-comments"></i> <?php echo $this->lang->line("m_forum"); ?></p></a></div>
										<div class="col-xs-6 col-sm-6 uploadphoto"><a href="<?php echo base_url() ?>user/settings" class="text-red"><p class="text-gray no-margn"><i class="fa fa-cogs"></i> <?php echo $this->lang->line("m_settings"); ?></p></a></div>
										<?php else: ?>
										<div class="col-xs-12 col-sm-12 uploadphoto"><a href="<?php echo base_url() ?>user/settings" class="text-red"><p class="text-gray no-margn"><i class="fa fa-cogs"></i> <?php echo $this->lang->line("m_settings"); ?></p></a></div>
										<?php endif; ?>
		                            </div>
		                        </div>
		                    </div>
		                </li>
		            </ul>
		            <a class="brand-web" href="<?php echo base_url(); ?>"><?php echo $settings["site_name"]; ?></a>
		        </div>
	            <ul class="nav navbar-top-links navbar-right">
	                <?php
		            if($this->session->userdata("user_rank") > 0):
		            ?>
		            <li>
	                	<a href="<?php echo base_url(); ?>admin">
	                        <i class="fa fa-cogs"></i> <?php echo $this->lang->line("m_admin"); ?>
	                    </a>
	                </li>	
		            <?php
		            endif;
		            ?>     
	                <li>
	                	<a href="<?php echo base_url(); ?>user/settings">
	                        <i class="fa fa-cog"></i> <?php echo $this->lang->line("m_settings"); ?>
	                    </a>
	                </li>	
	                <li>
	                    <a href="<?php echo base_url(); ?>user/logout">
	                        <i class="fa fa-sign-out"></i> <?php echo $this->lang->line("m_logout"); ?>
	                    </a>
	                </li>
	            </ul>
			</nav>
        </div>