<?php
$this->load->view('templates/headers/add_photos_header', $title);
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $title; ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Users"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>user/profile/<?php echo $this->session->userdata("user_id"); ?>"><?php echo $this->session->userdata("user_username"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>user/settings"><?php echo $this->lang->line("Settings"); ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line("p_manage_photos"); ?></strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">
	    <div class="btn_filter_placeholder">
	    	<a href="<?php echo base_url(); ?>photo/add" class="btn btn-primary btn-forum-new-topic">
				<i class="fa fa-plus"></i> <?php echo $this->lang->line("p_add_photos") ?>
			</a>
	    </div>
    </div>
</div>
<div class="wrapper wrapper-content">
    <div class="row animated fadeIn">
	    <?php
		if($settings["ads_code"] != ""):
		?>
		<div class="ad_block">
			<?php echo $settings["ads_code"]; ?>
		</div>
		<?php
		endif;
		?>
		<?php
		if(sizeof($photos) == 0) {
		?>
		<div class="alert alert-danger alert-centered">
			<?php echo $this->lang->line("p_no_photos_uploaded"); ?>
		</div>
		<?php
		} else {
		?>
		<div class="alert alert-info alert-centered">
			<?php echo $this->lang->line("p_info_manage_photos"); ?>
		</div>
		<?php
		}
		?>
		<div class="lightBoxGallery" id="galleryItems">
			<?php 
			foreach($photos as $photo) {
			?>
			<div class="galleryItem">
	    		<a href="<?php echo base_url() . $photo["url"] ?>"><img src="<?php echo base_url() . $photo["thumb_url"] ?>" alt="" /></a>
	    		<h3><div class="btn btn-danger btn-block btn-delete" data-id="<?php echo $photo["id"]; ?>"><i class="fa fa-times"></i> <?php echo $this->lang->line("p_photo_delete") ?></div></h3>
	    	</div>
			<?php
			}
			?>
		</div>
	</div>
</div>
<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls">
    <div class="slides"></div>
    <h3 class="title"></h3>
    <a class="prev">‹</a>
    <a class="next">›</a>
    <a class="close">×</a>
    <a class="play-pause"></a>
    <ol class="indicator"></ol>
</div>
<?php
$this->load->view('templates/footers/manage_photos_footer');
?>