$(document).ready(function() {
	
	document.getElementById('galleryItems').onclick = function (event) {
	    event = event || window.event;
	    var target = event.target || event.srcElement,
	        link = target.src ? target.parentNode : target,
	        options = {index: link, event: event},
	        links = this.getElementsByTagName('a');
	    blueimp.Gallery(links, options);
	};
	
	$(".btn-delete").click(function(e) {
		e.preventDefault();
		
		var photo_id = $(this).attr("data-id");
		var that = $(this);
	
		var r = confirm(photo_p_sure_delete_photo_str);
		if (r == true) {
			$.ajax({
				url: base_url + "photo/delete_photo",
				type: 'POST',
				data: {
					photo_id: photo_id	
				},
				success: function(data) {
					if(data.error == 0) {
						that.removeClass("alert-danger").addClass("alert-success").addClass("disabled").html("<i class='fa fa-check'></i>");
					} else if(data.error == 500) {
						alert("You can't delete in demo mode");
					}
				}
			});
		}
	});
			
});