$(document).ready(function() {
	$(".timeago_timeline").timeago();
	
	$('.avatar_user_profile').nailthumb();
	
	document.getElementById('galleryItems').onclick = function (event) {
	    event = event || window.event;
	    var target = event.target || event.srcElement,
	        link = target.src ? target.parentNode : target,
	        options = {index: link, event: event},
	        links = this.getElementsByTagName('a');
	    blueimp.Gallery(links, options);
	};
	
	$('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
		var target = $(e.target).attr("href") // activated tab
		
		if(target == "#tab-2") {
			document.getElementById('galleryItems').onclick = function (event) {
			    event = event || window.event;
			    var target = event.target || event.srcElement,
			        link = target.src ? target.parentNode : target,
			        options = {index: link, event: event},
			        links = this.getElementsByTagName('a');
			    blueimp.Gallery(links, options);
			};
		}
	});
	
	$(".btn-poke").click(function(e) {
		e.preventDefault();
		
		$("#options-modal").modal("hide");
		$("#poke_modal").modal("show");
	});
	
	$(".add_photos").click(function(e) {
		e.preventDefault();
		
		window.location = base_url + "";
	});
	
	$(".pf_last_online").timeago();
	
	$(document).on("click", ".btn-block-u", function(e) {
	    e.preventDefault();
	    
	    var profile_id = $(this).attr("data-user-id");
		
		var r = confirm(sure_want_block_str);
		var that = $(this);
		if(r) {
			$.ajax({
				url: base_url + "user/block",
				type: 'POST',
				data: { profile_id : profile_id},
				success: function(data) 
				{
					if(data.result == 999) {
						alert(cant_block_not_logged_str);
					} else if(data.result == 500) {
						alert(cant_demo_mode_str);
					} else if(data.result == 998) {
						alert(cant_block_yourself_str);
					} else {
						that.removeClass("btn-block-u").addClass("btn-unblock-u").html('<i class="fa fa-smile-o"></i> ' + unblock_user_str);
					}
				}
			});
		}
	    
    });
    
    $(document).on("click", ".btn-unblock-u", function(e) {
	    e.preventDefault();
	    
	    var profile_id = $(this).attr("data-user-id");
		
		var r = confirm(sure_want_unblock_str);
		var that = $(this);
		if(r) {
			$.ajax({
				url: base_url + "user/unblock",
				type: 'POST',
				data: { profile_id : profile_id},
				success: function(data) 
				{
					if(data.result == 999) {
						alert(cant_block_not_logged_str);
					} else {
						that.removeClass("btn-unblock-u").addClass("btn-block-u").html('<i class="fa fa-frown-o"></i> ' + block_user_str);
					}
				}
			});
		}
	    
    });
	
	$(".btn-report").click(function(e) {
	    e.preventDefault();
	    
	    var profile_id = $(this).attr("data-user-id");
		
		var r = confirm(report_user_alert_str);
		if(r) {
			$.ajax({
				url: base_url + "user/report",
				type: 'POST',
				data: { profile_id : profile_id},
				success: function(data) 
				{
					if(data.result == 999) {
						alert(report_user_logged_in_str);
					} else if(data.result == 998) {
						alert(cant_report_yourself_str);
					} else {
						alert(user_reported_str);
					}
				}
			});
		}
	    
    });
	
	$(".btn-msg").click(function(e) {
		e.preventDefault();
		
		$("#options-modal").modal("hide");
		$("#msg_modal").modal("show");
	});
	
	$(".btn-love").click(function(e) {
		e.preventDefault();
		
		var profile_id = $(this).attr("data-profile-id");
		var that = $(this);
		
		$.ajax({
			url: base_url + "user/post_love",
			type: 'POST',
			data: {profile_id: profile_id},
			success: function(data) {
				if(data.result == 1)
				{
					that.addClass("loved");
					that.removeClass("dim");
					that.html('<i class="fa fa-heart"></i> ' + loved_str);
				} else if(data.result == 2) {
					that.removeClass("loved");
					that.addClass("dim");
					
					that.html('<i class="fa fa-heart"></i> ' + love_str);
				} else {
					alert(cant_love_yourself_str);
				}
			}
		});
	});
	
	$(".btn-submit-send-pm").click(function(e) {
		var msg = $(".form-pm-text").val();
		var user_id = $(this).attr("data-user-id");
		
		$.ajax({
			url: base_url + "pm/send_pm",
			type: 'POST',
			data: { user_id : user_id, message : msg },
			success: function(data) 
			{
				var res = data.result;
				
				if(res == 999) {
					$(".send_pm_errors").html("<i class='fa fa-times-circle'></i><br />" + not_logged_in_str).fadeIn();
				} else if(res == 998) {
					$(".send_pm_errors").html("You need to write something!").fadeIn();
				}  else if(res == 997) {
					$(".send_pm_errors").html("<i class='fa fa-times-circle'></i><br />" + cant_send_yourself_pm_str).fadeIn();
				} else if(res == 996) {
					$(".send_pm_errors").html("<i class='fa fa-times-circle'></i><br />" + user_does_not_exist_str).fadeIn();
				} else if(res == 995) {
					window.location = base_url + "user/firstlogin?redirect=true";
				} else if(res == 500) {
					$(".send_pm_errors").html("<i class='fa fa-times-circle'></i><br />" + cant_demo_mode_str).fadeIn();
				} else if(res == 994) {
					$(".send_pm_errors").html("<i class='fa fa-times-circle'></i><br />" + user_blocked_you_str).fadeIn();
				} else {
					$(".send_pm_errors").html(pm_sent_str).removeClass("alert-danger").addClass("alert-success").fadeIn();
					setTimeout(function() { $("#send-pm").modal("hide"); }, 2000);
					
					$(".form-pm-text").val("")
				}
			}
		});
	});
	
	$('.btn-poke.btn-poked').tooltip({placement: 'top',trigger: 'manual'}).tooltip('show');
	
	$(".btn-accept-friend").tooltip({placement: 'top',trigger: 'manual'}).tooltip('show');
	
	$(".btn-accept-friend").click(function(e) {
		e.preventDefault();
		
		var user_id = $(this).attr("data-user-id");
		var that = $(this);
		
		$(this).html('<i class="fa fa-circle-o-notch fa-spin"></i>');
		
		$.ajax({
			url: base_url + "user/accept_friend",
			type: 'POST',
			data: {user_id: user_id},
			success: function(data) {
				
				if(data == 999)
				{
					alert(not_logged_in_str);
					
					window.location = base_url;
					
					that.html('<i class="fa fa-user-plus"></i> ' + accept_request_btn_str);
				} else if(data == 998) {
					alert(user_does_not_exist_str);
					that.html('<i class="fa fa-user-plus"></i> ' + accept_request_btn_str);
				} else if(data == 1) {
					
					that.attr("disabled", "disabled");
					that.html('<i class="fa fa-check"></i>');
				}
			}
		});
	});
	
	$(".btn-yeah-poke").click(function(e) {
		e.preventDefault();
		
		var user_id = $(this).attr("data-user-id");
		var that = $(this);
		
		$.ajax({ 
            url: base_url + "user/send_request",
            type: "POST",
            dataType: "json",
            data: {user_id : user_id},
            success: function(data) {
	            if(data.result == 999)
	            {
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-danger'>" + not_logged_in_str + "</div>");
	            } else if(data.result == 998) {
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-danger'>" + cant_send_yourself_request_str + "</div>");
	            } else if(data.result == 997) {
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-danger'>" + request_already_sent_str + "</div>");
	            } else if(data.result == 500) {
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-danger'>" + cant_demo_mode_str + "</div>");
	            } else if(data.result == 996) {
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-danger'>" + cant_request_blocked_str + "</div>");
	            } else {
		            
		            if(data.gender == 0) {
			            var word_gender = his_str;
		            } else {
			            var word_gender = her_str;
		            }
		            
		            $('.btn-poke').addClass("btn-poked").removeClass("btn-primary").addClass("btn-default").html('<i class="fa fa-user-plus"></i> ' + sent_req_str);
		            $('.btn-poke.btn-poked').tooltip({placement: 'top',trigger: 'manual'}).tooltip('show');
		            
		            $("#poke_modal .modal-body").html("<div class='alert alert-centered alert-success'>" + request_sent_str);
	            }
	        }
	    });
	});

});