<?php
$this->load->view('templates/headers/forum_header', $title);
?>		

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line("Forum") ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home") ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>forum"><?php echo $this->lang->line("Forum") ?></a>
            </li>
            <li class="active">
                <strong><?php echo $title; ?></strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">
	    <div class="btn_filter_placeholder">
	    	<a href="<?php echo base_url(); ?>forum/create" class="btn btn-primary btn-forum-new-topic">
				<i class="fa fa-plus"></i> <?php echo $this->lang->line("new_topic_btn") ?>
			</a>
	    </div>
    </div>
</div>
<div class="col-lg-12 block_form">
	<?php
	if($settings["ads_code"] != ""):
	?>
	<div class="ad_block">
		<?php echo $settings["ads_code"]; ?>
	</div>
	<?php
	endif;
	?>
    <div class="ibox-content-no-bg">
		<table class="table table-bordered table-striped">
			<tr>
				<th class="forum-title-topic-th"><?php echo $this->lang->line("last_topics"); ?></th>
			</tr>
			<?php
			if(sizeof($topics->result_array()) == 0)
			{
				echo "<tr><td><div class='alert alert-error'>". $this->lang->line("no_topics_category") . "</div></td></tr>";	
			}
			?>
			<?php
			foreach($topics->result_array() as $topic) {
			?>
				<tr class="topic">
					<td>
						<div class="lstopic_title">
							<a href="<?php echo base_url("forum/topic/" . $topic["tid"]) ?>"><?php echo $topic["title"] ?></a>
						</div>
						<div class="lstopic_author">
							By <a href="<?php echo base_url("user/profile2/" . $topic["uid"]) ?>"><?php echo $topic["username"] ?></a>, <span class="lstopic_ago" title="<?php echo $topic["date"] ?>"></span>
						</div>
					</td>
				</tr>
			<?php
			}
			?>
			<?php
			if(sizeof($topics->result_array()) >= 20 || $page != 0):
			?>
			<tr>
				<td class="forum-title-topic-th"><div class="btnmoreplaceholder message"><?php echo $pagination; ?></div></td>
			</tr>
			<?php
			endif;
			?>
		</table>
    </div>
</div>

<?php
$this->load->view('templates/footers/forum_footer');
?>