<?php
$this->load->view('templates/headers/forum_new_topic_header', $title);
?>

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line("Forum") ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home") ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>forum"><?php echo $this->lang->line("Forum") ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line("edit_answer_title") ?></strong>
            </li>
        </ol>
    </div>
</div>
<div class="col-lg-12 block_form">
    <div class="ibox-content-no-bg">

		<?php echo validation_errors("<div class='alert alert-danger'>", "</div>"); ?>
	    <?php echo form_open($this->uri->uri_string()); ?>
		    <div class="form-group">
		    	<label class="control-label" for="inputDesc"><?php echo $this->lang->line("Content"); ?></label>
				<div class="controls">
					<textarea rows="6" id="inputDesc" class="form-control form-new-topic" placeholder="<?php echo $this->lang->line("content_placeholder"); ?>" name="content"><?php echo $this->security->xss_clean($answer->content); ?></textarea>
				</div>
		    </div>
		    <hr />
		    <div style="text-align:center;" class="clearfix">
		    	<button type="submit" class="btn btn-primary btn-large btn-embossed"><i class="fa fa-check"></i> <?php echo $this->lang->line("Edit"); ?></button>
		    </div>
	    <?php echo form_close(); ?>
	</div>
</div>
<?php
$this->load->view('templates/footers/forum_new_topic_footer');
?>