<?php
$this->load->view('templates/headers/home_header', $title);
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line('Home'); ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line('Home'); ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line('Users'); ?></strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">
	    <div class="btn_filter_placeholder">
	    	<a class="btn btn-primary settingsfilter" href=""><i class="fa fa-search"></i> <?php echo $this->lang->line('filter_users_btn'); ?></a>
	    </div>
    </div>
</div>
<div class="col-lg-12 block_form">
        <div class="ibox-content-no-bg">
        	<?php
			if(isset($_GET["action"]))
			{
				if($_GET["action"] == "welcome") {
				?>
				<div class="alert alert-success" style="text-align:center;margin-top: 10px;">
					<b><?php echo $this->lang->line('Welcome'); ?></b><br />
					<?php echo $this->lang->line('welcome_txt'); ?>
				</div>
				<?php
				} else if($_GET["action"] == "filter_applied") {
				?>
				<div class="alert alert-success" style="text-align:center;margin-top: 10px;">
					<?php echo $this->lang->line('filters_applied'); ?>
				</div>
				<?php	
				}
			} else {
			?>
			<?php
			if($settings["ads_code"] != ""):
			?>
			<div class="ad_block">
				<?php echo $settings["ads_code"]; ?>
			</div>
			<?php
			endif;
			?>
			<div class="alert alert-info" style="text-align:center;margin-top: 10px;">
				<?php echo $this->lang->line('home_main_txt'); ?>
			</div>
			<?php
			}
			?>
			<div id="userslst" class="clearfix">
				
				<?php
				$cpt = 1;
				?>
				
				<?php foreach($featured_users as $user):
		    	$birthdate = new DateTime($user["birthday"]);
				$today     = new DateTime();
				$interval  = $today->diff($birthdate);
				$age	   = $interval->format('%y');
				
				if($user["gender"] == 0) {
					$gender_color = "male_color";
				} else {
					$gender_color = "female_color";
				}
				
				if($user["thumb_url"] == "" || $user["thumb_url"] == NULL) {
					$user["thumb_url"] = "images/avatar.png";
				}
				?>
				<div class="col-lg-3 col-md-4 col-xs-6 clearfix user_block" data-user-id="<?php echo $user["uid"]; ?>" data-cpt="<?php echo $cpt; ?>">
					<div class="thumb">
		                <a class="thumbnail" href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>">
			                <img src="<?php echo base_url() . $user["thumb_url"]; ?>" alt="Photo User" />
			                <?php
				            if($user["st_love"] == 1)
				            {
					        ?>
					        <div class="love_button loved" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
					        <?php
						    } else {
							?>
							<div class="love_button" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
							<?php
						    }
				            ?>
			                <?php
				                if($user["is_online"] == 1):
				            ?>
			                <div class="online_status"><i class="fa fa-circle"></i></div>
			                <?php
				                endif;
				                
				                if($user["city"] == "") {
					                $user["city"] = $this->lang->line("unknown_city");
				                }
				            ?>
				            <div class="featured_status"><i class="fa fa-tag"></i> <?php echo $this->lang->line('user_featured'); ?></div>
		               	</a>
					   	<div class="userslst_infos">
						   	<a href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>" class="userslst_username <?php echo $gender_color; ?>"><?php echo $user["username"]; ?></a>
						   	<div class="userslst_age"><?php echo $age; ?> &#8226; <?php if($settings["hide_country"] == 0): ?><?php echo get_country_name_by_code($user["country"]); ?><?php else: ?><?php echo $user["city"]; ?><?php endif; ?></div>
						</div>
					</div>
	            </div>
				<?php
				$cpt++;
				endforeach;
				?>
				
				<?php
		    	$cpt = 1;
		    	?>
		    	<?php foreach($users as $user): ?>
		    	
		    	<?php
		    	$birthdate = new DateTime($user["birthday"]);
				$today     = new DateTime();
				$interval  = $today->diff($birthdate);
				$age	   = $interval->format('%y');
				
				if($user["gender"] == 0) {
					$gender_color = "male_color";
				} else {
					$gender_color = "female_color";
				}
				
				if($user["thumb_url"] == "" || $user["thumb_url"] == NULL) {
					$user["thumb_url"] = "images/avatar.png";
				}
				?>
		    	
				<div class="col-lg-3 col-md-4 col-xs-6 clearfix user_block" data-user-id="<?php echo $user["uid"]; ?>" data-cpt="<?php echo $cpt; ?>">
					<div class="thumb">
		                <a class="thumbnail" href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>">
			                <img src="<?php echo base_url() . $user["thumb_url"]; ?>" alt="Photo User" />
			                <?php
				            if($user["st_love"] == 1)
				            {
					        ?>
					        <div class="love_button loved" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
					        <?php
						    } else {
							?>
							<div class="love_button" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
							<?php
						    }
				            ?>
			                <?php
				            if($user["is_online"] == 1):
				            ?>
			                <div class="online_status"><i class="fa fa-circle"></i></div>
			                <?php
			                endif;
			                

				            ?>
		               	</a>
					   	<div class="userslst_infos">
						   	<?php
							if($user["city"] == "") {
				                $user["city"] = $this->lang->line("unknown_city");
			                }
			                ?>
						   	<a href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>" class="userslst_username <?php echo $gender_color; ?>"><?php echo $user["username"]; ?></a>
						   	<div class="userslst_age"><?php echo $age; ?> &#8226; <?php if($settings["hide_country"] == 0): ?><?php echo get_country_name_by_code($user["country"]); ?><?php else: ?><?php echo $user["city"]; ?><?php endif; ?></div>
						</div>
					</div>
	            </div>
				<?php
				$cpt++;
				endforeach;
				?>
			</div>
			<?php
			if($links != ""):
			?>
			<div class="btnmoreplaceholder message">
				<?php echo $links; ?>
			</div>
			<?php
			endif; 
			?>
        </div>
    </div>
<?php
$this->load->view('templates/footers/home_footer');
?>