<?php
defined('BASEPATH') OR exit('No direct script access allowed');

$lang['username_3_chars_error'] = 'Your username must be at least 3 characters long.';
$lang['password_4_chars_error'] = 'Your password must be at least 4 characters long.';
$lang['email_not_valid'] = 'Your email address is not valid.';
$lang['captcha_error'] = 'Your answer to the anti-spam question is not correct. Please answer with numbers.';
$lang['username_taken'] = 'This username is already taken.';
$lang['email_taken'] = 'This email address is already taken.';
$lang['banned_error'] = 'You can\'t login : you have been banned!';
$lang['invalid_username_password'] = 'Invalid username or password.';
$lang['recover_password_email_title'] = 'Recover your Password';
$lang['recover_password_email_first_line'] = 'You asked to recover your password. If it wasn\'t you, please just ignore this message.';
$lang['recover_password_email_second_line'] = 'To create a new password, click on the link below :';
$lang["create_new_password_title"] = 'Create a new password for your account';
$lang['sign_in'] = 'Sign In';
$lang['recover_password'] = 'Recover your Password';
$lang['new_password'] = 'New Password :';
$lang['new_password_placeholder'] = 'Please type your new password';
$lang["new_password_confirmation"] = 'New password confirmation :';
$lang["new_password_confirmation_placeholder"] = 'Please type your new password again';
$lang['update_password_btn'] = 'Update Password';
$lang['hack_password_error'] = '<b>Whoops</b>! This user didn\'t ask for a password recovery... Are you trying to hack ?';
$lang['password_dont_match'] = '<b>Whoops</b>! The first password and the second one don\'t match! Please enter them again.';
$lang['password_4_chars_error'] = '<b>Whoops</b>! The first password has to be at least 4 characters long.';
$lang['password_recovery_success'] = 'Your password has been well updated. You can now sign in to your account with your new password :-) !';

$lang["first_login_title"] = 'First Login';
$lang["account_informations"] = 'Account Informations (First Login)';

$lang['Home'] = 'Home';
$lang['Users'] = 'Users';
$lang['Whoops'] = 'Whoops!';
$lang['need_to_complete_profile'] = 'You need to complete your profile to access to this part of our website.';
$lang['you_have_errors'] = 'You have some errors.';

$lang["created_account_action"] = "<a href='%s'>%s</a> created an account.";
$lang["not_logged_in_error"] = 'Whoops! You need to log in to access to this part of the website!';

$lang['complete_profile'] = 'Complete your profile';
$lang['Birthday'] = 'Birthday';
$lang['Day'] = 'Day';
$lang['Month'] = 'Month';
$lang['Year'] = 'Year';

$lang['January'] = 'January';
$lang['February'] = 'February';
$lang['March'] = 'March';
$lang['April'] = 'April';
$lang['May'] = 'May';
$lang['June'] = 'June';
$lang['July'] = 'July';
$lang['August'] = 'August';
$lang['September'] = 'September';
$lang['October'] = 'October';
$lang['November'] = 'November';
$lang['December'] = 'December';

$lang['about_you'] = 'About you';
$lang['about_you_placeholder'] = 'Write something about you. Who are you? What do you do in your life? What are your hobbies?';
$lang['about_you_info'] = 'Optional. But if you write something, you\'ll be easier to find!';
$lang['select_country'] = 'Select a Country';
$lang['Country'] = 'Country';

$lang['city'] = 'City';
$lang['city_placeholder'] = 'Write the city where you live';

$lang["Optional"] = "Optional";
$lang["your_main_photo"] = "Your Main Photo";
$lang["select_a_photo"] = "Select a Photo";
$lang["change_photo"] = "Change";
$lang["remove_photo"] = "Remove";
$lang["send_and_begin_btn"] = "Send & Begin";

$lang["photo_ext_error"] = "<b>Whoops</b>. You have some errors.<br />Please use a photo with the extension .JPG or .PNG.";
$lang["photo_weight_error"] = "<b>Whoops</b>. You have some errors.<br />Please use a photo of less than 5Mb.";
$lang["whoops_have_errors"] = "<b>Whoops</b>. You have some errors.";
$lang["photo_upload_in_progress"] = "Upload of your photo in progress...";
$lang["coolness_btn"] = "Coolness !";
$lang["provide_valid_birthday"] = "Please provide a valid birthday date.";

$lang["provide_valid_birthday"] = "Please provide a valid birthday date.";
$lang["select_country_where_live"] = "Please select the country where you actually live..";
$lang["too_young_to_register"] = "Whoops! You are too young to register (you have to be at least %s years old).";

$lang["his"] = "his";
$lang["Him"] = "Him";
$lang["her"] = "her";
$lang["Her"] = "Her";

$lang["Man"] = "Man";
$lang["Woman"] = "Woman";
$lang["Straight"] = "Straight";
$lang["Gay"] = "Gay";
$lang["Bisexual"] = "Bisexual";

$lang["no_about"] = "%s didn't write anything for the moment.";
$lang["user_sent_request"] = "This user sent you a friend request";
$lang["accept_request_btn"] = "ACCEPT";
$lang["are_friends_btn"] = "FRIENDS";

$lang["friend_btn"] = "FRIEND"; // Ask to be friends button
$lang["y.o."] = "y.o."; // Years Old

$lang["sent_request_btn"] = "SENT";
$lang["send_message_btn"] = "Message";

$lang["has_loved_btn"] = "LOVED";
$lang["love_btn"] = "Love";
$lang["user_timeline"] = "%s's timeline";
$lang["user_timeline_published_date"] = 'Published <span class="timeago_timeline" title="%s"></span>';
$lang["report_user"] = "Report this User";
$lang["block_user"] = "Block this User";
$lang["unblock_user"] = "Unblock this User";

$lang["Close"] = "Close";
$lang["yeah_btn"] = "Yeah";
$lang["nope_btn"] = "Nope";
$lang["friend_request_modal_title"] = 'Friend Request';
$lang["want_send_request"] = "Do you want to send <b>%s</b> a Friend Request?";
$lang["pm_modal_title"] = "Send a Private Message";
$lang["your_message_pm_modal"] = "Your Message";
$lang["your_message_pm_modal_placeholder"] = "Type your message here.";

$lang["send_my_pm_btn"] = "Send my PM";
$lang["not_friend_no_pm"] = "<b>Whoops!</b> You can't send a private message until you and the other user are friends.";

$lang["sure_want_block"] = "Are you sure you want to block this user?";

$lang["cant_block_not_logged"] = "You can't block this user, you are not logged in anymore.";
$lang["cant_demo_mode"] = "You can't d that in demo mode";
$lang["cant_block_yourself"] = "You can't block yourself... Haha that's funny!";
$lang["sure_want_unblock"] = "Are you sure you want to unblock this user?";

$lang["report_user_alert"] = "Report this user for violating terms of service?";
$lang["report_user_logged_in"] = "You have to be logged in to report a user.";
$lang["cant_report_yourself"] = "You can't report yourself... Haha that's funny!";
$lang["user_reported"] = "Thanks. This user has been reported.";

$lang["cant_love_yourself"] = "Whoops! You can love your own profile!";
$lang["cant_send_yourself_pm"] = "Whoops! You can't send yourself a PM.";

$lang["user_does_not_exist"] = "Whoops! This user doesn't exist!";
$lang["user_blocked_you"] = "Whoops! This user has blocked you. You can't contact him anymore.";
$lang["pm_sent"] = "Your message has been sent!";

$lang["cant_send_yourself_request"] = "Whoops! You can't send yourself a friend request!";
$lang["request_already_sent"] = "Whoops! You have already sent a friend request to this user. Please wait for the reply!";
$lang["cant_request_blocked"] = "Whoops! You can't send a friend request to this user because he/she blocked you!";
$lang["request_sent"] = "<b>Awesome!</b> Your friend request has been sent.<br /><br />If this user accepts, you'll be able to talk together!";

$lang["friends_title"] = "Friends";
$lang["your_friends_title"] = "Your Friends";
$lang["friend_requests_btn"] = "FRIEND REQUESTS";
$lang["here_list_friends"] = "Here is the list of the users who are friends with you.";
$lang["no_friends_for_now"] = "You don't have any friends for the moment.";
$lang["pm_write_something"] = "You need to write something!";
$lang["friend_requests_title"] = "Your Last Friend Requests";
$lang["requests_title"] = "Friend Requests";
$lang["friend_requests_list"] = "Here is the list of the users who sent you a friend request. If you send accept a friend request, you and the other user will be able to start an awesome conversation.";
$lang["both_friends"] = "Friends!";
$lang["no_friend_requests"] = "You didn't receive any new friend requests for the moment.";

$lang["friend_request_does_not_exist"] = "Whoops! This friend request doesn't exist anymore.";
$lang["became_friends_action"] = "<a href='%s'>%s</a> became friend with <a href='%s'>%s</a>.";

$lang["last_profile_visits_title"] = "Last Visits on your Profile";
$lang["last_visitors_title"] = "Last Visitors";
$lang["last_visitors_subtitle"] = "Here is the list of the last 20 users who visited your profile.";

$lang["Settings"] = "Settings";
$lang["account_edited"] = "Your account has been edited";

$lang["profile_pic_edited"] = "Your profile picture has been updated.";
$lang["photos_uploaded"] = "Your photos have been uploaded to your profile.";
$lang["change_profile_picture"] = "Change Profile Picture";
$lang["only_one_photo"] = "<b>Whoops!</b> You only have one photo on your %s profile. To change your profile picture, you need to add more photos.";

$lang["add_more_photos"] = "Add More Photos";
$lang["slide_photo"] = "Slide to select your profile picture.";
$lang["Save"] = "Save";

$lang["public_infos"] = "Public Infos";
$lang["premium_features"] = "Premium Features";
$lang["browse_invisibly"] = "Browse Invisibly";

$lang["who_are_you_title"] = "Who Are You?";
$lang["Gender"] = "Gender";
$lang["select_gender"] = "Select your Gender";
$lang["Male"] = "Male";
$lang["Female"] = "Female";

$lang["where_do_you_live"] = "Where Do You Live ?";
$lang["edit_my_profile_btn"] = "Edit my Profile";

$lang["account_infos_title"] = "Account Infos";
$lang["your_username"] = "Your Username";
$lang["your_username_placeholder"] = "Write a cool username";

$lang["your_email"] = "Your Email";
$lang["your_email_placeholder"] = "you@something.com";

$lang["edit_my_infos"] = "Edit my Infos";

$lang["logout"] = "Logout";
$lang["delete_account"] = "Delete Account";
$lang["error_occured"] = "Whoops, an error occured, please try again later.";
$lang["confirm_account_deletion"] = "I confirm I want to delete my account";

$lang["upload_photos_title"] = "Upload new photos";
$lang["select_photos_to_upload"] = "<b>Step 1</b> - Select your photos to upload";
$lang["select_some_photos"] = "Select some Photos";
$lang["add_text_title_photos"] = "<b>Step 2</b> - Add a text / title to your photos <i>(Optional)</i>";
$lang["select_computer_photos"] = "You need to select some from photos from your computer.";
$lang["Preview"] = "Preview";
$lang["Informations"] = "Informations";
$lang["Description"] = "Description";
$lang["photo_description_placeholder"] = "Write a description to your photo";

/* FROM v1.7 */
$lang["p_upload_limit"] = "You have reached the limit of uploads. Please delete some of your photos to upload new ones.";
$lang["p_online_now"] = "Online Now";
$lang["p_last_online"] = "Last Online";
$lang["p_timeline"] = "Timeline";
$lang["p_photos"] = "Photos";
$lang["p_manage_photos"] = "Manage Photos";
$lang["p_add_photos"] = "Add Photos";
$lang["p_info_manage_photos"] = "You can manage and delete your uploaded photos here.";
$lang["p_photo_delete"] = "DELETE";
$lang["p_sure_delete_photo"] = "Are you sure you want to delete this photo?";
$lang["p_no_photos_uploaded"] = "You have not uploaded any photos yet.";
$lang["p_no_photos_yet"] = "%s didn't uploaded any photos yet.";

/* FROM v1.8 */
$lang["photo_not_exists"] = "This photo doesn't exist anymore.";
$lang["photo_from"] = "Photo from %s";
$lang["like_photo"] = "Like";
$lang["comment_photo"] = "Comment";
$lang["no_photo_comment"] = "No comment to show on this photo.";
$lang["photo_liked_action"] = "<a href='%s'>%s</a> liked <a href='%s'>%s</a>'s photo.";
$lang["cant_like_own_photo"] = "Whoops... You can't like your own photo.";
$lang["you_like_photo"] = "You Like";
$lang["write_comment_placeholder"] = "Type your comment and press \"Enter\".";
$lang["action_photo_comment"] = "<a href='%s'>%s</a> commented on <a href='%s'>%s</a>'s photo.";
$lang["must_be_logged_comment"] = "You have to be logged in to post a comment !";
$lang["empty_comment"] = "Your comment can't be empty !";
$lang["photo_removed_comment"] = "Woops... Sorry but the user has just removed this photo !";
$lang["action_photo_his_own_comment"] = "<a href='%s'>%s</a> commented on his own photo.";
$lang["action_photo_her_own_comment"] = "<a href='%s'>%s</a> commented on her own photo.";
$lang["report_photo"] = "Report this Photo";
$lang["report_photo_alert"] = "Are you sure you want to report this photo?";
$lang["cant_report_own_photo"] = "Whoops! You can't report your own photo.";
$lang["photo_reported"] = "Thank you. This photo has been well reported";
$lang["p_about"] = "About";
$lang["no_custom_user_val"] = "%s didn't complete this field.";