CREATE TABLE IF NOT EXISTS `photo_comment` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `content` text,
  `user_id` int(11) DEFAULT NULL,
  `photo_id` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `photo_vote` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `photo_id` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `ip` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `user_custom_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `attr_name` varchar(255) NOT NULL,
  `attr_val` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

ALTER TABLE `report` ADD `type` INT NOT NULL AFTER `date`;
ALTER TABLE `custom_page` ADD `welcome_enable` INT NOT NULL AFTER `date` ;
ALTER TABLE `admin` ADD `currency` VARCHAR( 10 ) NOT NULL ;
ALTER TABLE `admin` ADD `hide_country` INT NOT NULL ;
ALTER TABLE `admin` ADD `hide_timeline` INT NOT NULL ;
ALTER TABLE `admin` ADD `user_extra_fields` TEXT NOT NULL ;
ALTER TABLE `admin` ADD `online_delay` INT NOT NULL ;

SET collation_connection = 'utf8_general_ci' ;

ALTER TABLE user CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE user_info CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE admin CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE pm_conv CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE pm_message CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE captcha CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;

ALTER TABLE forum_answers CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE forum_topics CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE user_custom_field CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci;