CREATE TABLE IF NOT EXISTS `user_coin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `nb_coins` int(11) NOT NULL,
  `updated_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `coin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nb` int(11) NOT NULL,
  `price` double NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO `coin` (`id`, `nb`, `price`) VALUES
(1, 100, 2),
(2, 500, 6),
(3, 1000, 10);


CREATE TABLE IF NOT EXISTS `user_featured` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


ALTER TABLE `admin` ADD `see_who_loves_you_price` INT NOT NULL DEFAULT '100',
ADD `browse_invisibly_price` INT NOT NULL DEFAULT '150',
ADD `featured_one_week_price` INT NOT NULL DEFAULT '100',
ADD `featured_one_month_price` INT NOT NULL DEFAULT '300';

ALTER TABLE `user_featured` ADD `purchase_name` VARCHAR( 255 ) NOT NULL ;